> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contractor Deduction Template

> Update fields on an existing contractor deduction template by deductionTemplateID.



## OpenAPI

````yaml openapi/zeal-api.json patch /contractor-deduction-templates
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /contractor-deduction-templates:
    patch:
      summary: Update Contractor Deduction Template
      operationId: post_service-types-1-1-1
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                deductionTemplateID:
                  type: string
                  description: ID of contractor
                companyID:
                  type: string
                  description: ID of company
                custom_name:
                  type: string
                  description: Human-readable name for the deduction template
                contractor_contribution_amount:
                  type: number
                  description: >-
                    Default dollar amount to be contributed by the contractor
                    for deductions
                  format: float
                contractor_contribution_percentage:
                  type: number
                  format: float
                  description: >-
                    Default percentage of contactor's pay to be contributed by
                    the contractor for deductions
                effective_start_date:
                  type: string
                  description: Date the template should start become effective
                effective_end_date:
                  type: string
                  description: Date the template should become ineffective
                agency_name:
                  type: string
                  description: Address of the agency for a court order (Garnishment only)
                agency_address:
                  type: string
                  description: Name of the agency for a court order (Garnishment only)
                case_id:
                  type: string
                  description: Case ID of a court order (Garnishment only)
                order_number:
                  type: string
                  description: Order number of a court order (Garnishment only)
                external_id:
                  type: string
                  description: ''
              required:
                - companyID
                - deductionTemplateID
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties: {}
                    description: Contains Contractor Deduction Template object
                  testMode:
                    type: boolean
              examples:
                New Example:
                  summary: New Example
                  value:
                    success: true
                    data:
                      deductionTemplateID: 48ffb95239326ca8713eadb2
                      companyID: fc235f012bae46aa8a082f357715bcfa
                      contractorID: 669fe6216d9eff8ca4c9f0de
                      custom_name: Child Support - John Doe
                      deduction_type: garnishments
                      deduction_credit: false
                      effective_start_date: '2025-01-01'
                      effective_end_date: null
                      external_id: null
                      contractor_contribution_amount: 500
                      contractor_contribution_percentage: null
                      agency_name: State Child Support Agency
                      agency_address: 123 Main St, City, State 12345
                      case_id: CS-2025-001
                      order_number: null
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Contractor deduction template not found.
                        code:
                          type: integer
                          example: 135
                          default: 0
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    success: false
                    errors:
                      - message: Contractor deduction template not found.
                        code: 135
          description: Not Found
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````